#### D.12.2.39 binary_add

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  binary_add(binary_list)

Return:
  binary encoded list, increased by 1

Example:

    LIB "crypto.lib";
    ring r = 0,x,lp;
    list binary_list = 1,0,1,1,1;
    binary_add(binary_list);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    0
    ==> [5]:
    ==>    0

User manual for Singular version 4.4.1, 2025, generated by texi2html.